# Array Character Scramble (ArrayTextMaskGenerator)

The [Array Character Scramble](https://docs.tonic.ai/app/generation/generators/generator-reference/array-character-scramble) generator is intended for array values. It replaces letters with random other letters, and numbers with random other numbers. It preserves punctuation and whitespace from the original value.

## Link object structure <a href="#generator-api-array-character-scramble-link-object" id="generator-api-array-character-scramble-link-object"></a>

The Array Character Scramble generator can be self-consistent, but not consistent with another column. You cannot configure differential privacy.

The `metadata` object is populated from the [`BaseMetadata`](https://app.tonic.ai/apidocs/index.html#/models/BaseMetadata) object.

There is no generator-specific configuration.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "metadata": {
    "presetId": "string",
    "generatorId": "ArrayTextMaskGenerator",
    "isConsistent": boolean,
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string" //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-array-character-scramble-replacement" id="generator-api-array-character-scramble-replacement"></a>

The following example replacement configures a column to use the built-in generator preset for the Array Character Scramble generator. The generator is not consistent.

```json
{
  "name": "config_options",
  "schema": "public",
  "table": "products",
  "links": [
    {
      "schema": "public",
      "table": "products",
      "column": "config_options",
      "metadata": {
        "presetId": "ArrayTextMaskGenerator",
        "generatorId": "ArrayTextMaskGenerator",
        "isConsistent": false
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-array-character-scramble.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
